Details
curl --request GET \
--url https://api.bizzy.ai/v1/exports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v1/exports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v1/exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1234567890,
"name": "Example Export",
"status": "COMPLETED",
"progress": 1.00,
"url": "https://bizzy.ams3.digitaloceanspaces.com/prod/files/bizzy-example-export.csv"
}
Exports API
Details
GET
/
v1
/
exports
/
{id}
Details
Request
Path
string
required
ID of the export. This is the ID that was returned when you queued the export (see exports endpoint in the Lists API).
Response
number
ID of the export.
string
Name of the export.
string
Status of the export. Can be one of the following:
PENDING: The export is pending and will be processed in the background.IN_PROGRESS: The export is in progress.AVAILABLE: The export is available for download.EXPIRED: The export has expired and is no longer available for download (available for 7 days after completion).FAILED: The export failed.INSUFFICIENT_CREDITS: The export failed because the user has insufficient credits.NO_RESULTS: The export failed because there are no results to export.
number
Progress of the export. Number between 0 and 1 (2 decimal places).
string
URL of the export file. Only available when the export status is
AVAILABLE.{
"id": 1234567890,
"name": "Example Export",
"status": "COMPLETED",
"progress": 1.00,
"url": "https://bizzy.ams3.digitaloceanspaces.com/prod/files/bizzy-example-export.csv"
}
Was this page helpful?